package com.kingdee.eas.custom.performancenew;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.ICoreBillEntryBase;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.custom.performancenew.app.*;
import com.kingdee.eas.framework.CoreBillEntryBase;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class ExamineGradePersonEntry extends CoreBillEntryBase implements IExamineGradePersonEntry
{
    public ExamineGradePersonEntry()
    {
        super();
        registerInterface(IExamineGradePersonEntry.class, this);
    }
    public ExamineGradePersonEntry(Context ctx)
    {
        super(ctx);
        registerInterface(IExamineGradePersonEntry.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("8FDCC2D4");
    }
    private ExamineGradePersonEntryController getController() throws BOSException
    {
        return (ExamineGradePersonEntryController)getBizController();
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public ExamineGradePersonEntryInfo getExamineGradePersonEntryInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getExamineGradePersonEntryInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public ExamineGradePersonEntryInfo getExamineGradePersonEntryInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getExamineGradePersonEntryInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public ExamineGradePersonEntryInfo getExamineGradePersonEntryInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getExamineGradePersonEntryInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@return
     */
    public ExamineGradePersonEntryCollection getExamineGradePersonEntryCollection() throws BOSException
    {
        try {
            return getController().getExamineGradePersonEntryCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public ExamineGradePersonEntryCollection getExamineGradePersonEntryCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getExamineGradePersonEntryCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public ExamineGradePersonEntryCollection getExamineGradePersonEntryCollection(String oql) throws BOSException
    {
        try {
            return getController().getExamineGradePersonEntryCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}